require( "scripts/game/deftime.lua" );
-- не настраивать
GameObject = {
-- основные параметры
    Params = {
        ID="ambar";
        width=5;
        height=5;
        GridData = { 
            1,0,1,1,0,
            1,0,1,1,1,
            1,0,1,1,0,
            1,0,1,1,0,
            1,1,1,1,0,
        }; 
    };
    -- точки подхода персонажа
    ActivePoints = { 
        eating = { 
                        { {"hen"}, 1,-1,0,  0,  1,-1,0 };
                   }; 
    };
    Objects = { };
    -- перечисление всех задач для обьекта
    Tasks = { };
    -- перечисление всех триггеров для обьекта
    Triggers = { };
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = { };
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {};
    -- акция
    Action = {  
        Name = "eating";  
        IDs = {"hen"};
        CanMany = 1;
    }
};
function GameObject:Get()
    return self;
end
function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end
